Story # 1189 (Closed): Secure transport for all DataONE services

Configure KNB MN to use only secure https transport
Description

History

#1 - 2011-03-01 19:16 - Matthew Jones

- Assignee changed from Chad Berkley to Nick Outin

The host knb-mn.ecoinformatics.org needs to be set up using SSL.  This is currently a VM that resides on a host at UNM, but we need to switch it

back to the host machine at UCSB, and set up the VM there.  We should evaluate whether the knb-test-1 VM, which resides on that UCSB hosting

machine, is configured adequately to be the long-term replacement for KNB.  And not, then make a new knb-mn VM, and if so, then make a new

knb-test-1 VM.  Either way, transfer the knb-mn VM to UCSB and set up SSL using the ecoinformatics.org wildcard certificate.

#2 - 2011-03-02 22:42 - Nick Outin

Current config for the two VMs:

knb-mn

- 16 CPUs

- 16 GB memory

- 100 GB disk allocated to /

knb-test-1 (ucsb)

- 4 CPUs

- 8 GB memory

- 430 GB disk (30 for /, 400 for /var)

The host running knb-test-1 has two other VMs running currently, so while we can expand the CPUs to 16, mem is going to be stuck at 12 GB unless

we lower if for the other VMs. We have more than 1 TB free for disk so that's fine.

Transferring the service to UCSB would be easiest if we just copy the disk image over here. I don't believe I have access to the host server it's

running on, and it's not looking like a standard kvm/xen setup, so I'll need someone to get these two thing ready for me, if it's even possible. 

I can also manually transfer the website (apache, tomcat, postgres, etc) to the existing knb-test-1 VM, or a new one. Either way, it'll take much longer

than just copying the one image file to the UCSB server.

So, in short, can anyone get me the disk image file? If not, are the current VM specs okay?
#3 - 2012-02-01 22:35 - Nick Outin

- Status changed from New to Closed

- Milestone set to None

Ticket is no longer relevant, server have changed too much.
